# Constructing primitives

In GEOM you can create different types of primitive geometrical objects (3D elements):

- Box

- Cylinder

- Sphere

- Torus

- Cone

To construct primitive geometrical objects:

In the main menu select New Entity > Primitives.

Box

Description: Creates a box.

Result: GEOM_Shape (SOLID).

TUI Command : geompy.MakeBox(Double, Double, Double)

Arguments:

- 1st Constructor : 2 vertices (opposite corners of the box).

- 2nd Constructor : 3 values (dimensions at origin).

Dialog Box:

Example:

Cylinder

Description: Creates a cylinder.

Result: GEOM_Shape (solid).

TUI Command: geompy.MakeCylinder(PointStruct, DirStruct, Double, Double)

Arguments:

- 1st Constructor: 1 vertex + 1 edge + 2 values (Dimensions).

- 2nd Constructor: 2 values (Dimensions at origin).

Dialog Box:

Example:

Sphere

Description: Creates a sphere.

Result: GEOM_Shape (solid).

TUI Command: geompy.MakeSphere(Double, Double, Double, Double)

Arguments:

- 1st Constructor : 1 vertex + 1 value (Radius).

- 2nd Constructor : 1 value (Radius from the origin).

Dialog Box:

Example:

Torus

Description: Creates a torus.

Result: GEOM_Shape (solid).

TUI Command: geompy.MakeTorus(PointStruct, DirStruct, Double, Double)

Arguments:

- 1st Constructor: 1 vertex + 1 edge (for direction) + 2 values (1 & 2 Radius).

- 2nd Constructor: 2 values (1 & 2 Radius from the origin).

Dialog Box:

Example:

Cone

Description: Creates a cone.

Result: GEOM_Shape (SOLID).

TUI Command: geompy.MakeCone(PointStruct, DirStruct, Double, Double, Double)

Arguments:

- 1st Constructor: 1 vertex + 1 edge (for direction) + 3 values (Radius of the base part, radius of the upper part, height).

- 2nd Constructor: 3 values (Radius of the base part, radius of the upper part, height).

Dialog Box:

Example: